GNU bug report logs - #37609
Tool-bar-mode grows the frame's height

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Juri Linkov <juri@HIDDEN>; dated Thu, 3 Oct 2019 22:35:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 37609 <at> debbugs.gnu.org:


Received: (at 37609) by debbugs.gnu.org; 5 Oct 2019 22:55:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 05 18:55:18 2019
Received: from localhost ([127.0.0.1]:45333 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGsxJ-0005OZ-Uk
	for submit <at> debbugs.gnu.org; Sat, 05 Oct 2019 18:55:18 -0400
Received: from bird.elm.relay.mailchannels.net ([23.83.212.17]:15429)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1iGsxG-0005OP-KM
 for 37609 <at> debbugs.gnu.org; Sat, 05 Oct 2019 18:55:15 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 63AF96A0F44;
 Sat,  5 Oct 2019 22:55:13 +0000 (UTC)
Received: from pdx1-sub0-mail-a36.g.dreamhost.com
 (100-96-45-148.trex.outbound.svc.cluster.local [100.96.45.148])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id D2FFA6A09A2;
 Sat,  5 Oct 2019 22:55:12 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a36.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.3); Sat, 05 Oct 2019 22:55:13 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Zesty-Squirrel: 19f9d2eb3f4cff25_1570316113216_4046879035
X-MC-Loop-Signature: 1570316113215:2836492684
X-MC-Ingress-Time: 1570316113215
Received: from pdx1-sub0-mail-a36.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a36.g.dreamhost.com (Postfix) with ESMTP id 710A581826;
 Sat,  5 Oct 2019 15:55:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=uO/lc+u6LFOZvkacqmU8TJbhGPg=; b=
 gLIDAe2QMhQ8MAzRTGlxvAR9HT5I4sYXgr7NhEOyJqvlAyGEF3cs3zs7Mx1u3vcs
 pnhJ1U+LtmKq1zYmnp3h1OjvtmfOO6g4qtsv1SWPPhAFha0PKDUjlwXaVosuM0aB
 Iu/kSqSCHxddU1M2QhDc/UEbywnydblf3NEylM1PGNQ=
Received: from mail.jurta.org (m91-129-99-99.cust.tele2.ee [91.129.99.99])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a36.g.dreamhost.com (Postfix) with ESMTPSA id 54C6B81825;
 Sat,  5 Oct 2019 15:55:04 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a36
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37609: Tool-bar-mode grows the frame's height
Organization: LINKOV.NET
References: <87bluxihw0.fsf@HIDDEN>
 <c300a3ff-a7fd-e64a-5258-217d6734028c@HIDDEN>
 <cc1b01aa-a59b-4128-6b0b-61f817ceb90a@HIDDEN> <83r23r2eug.fsf@HIDDEN>
Date: Sun, 06 Oct 2019 01:44:18 +0300
In-Reply-To: <83r23r2eug.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 05 Oct
 2019 22:04:55 +0300")
Message-ID: <87a7aeu7l1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedufedrheefgddujeelucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhofhffjgfkfgggtgesthdtredttdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrdelledrleelnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehmrghilhdrjhhurhhtrgdrohhrghdpihhnvghtpeeluddruddvledrleelrdelledprhgvthhurhhnqdhprghthheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqedpmhgrihhlfhhrohhmpehjuhhriheslhhinhhkohhvrdhnvghtpdhnrhgtphhtthhopegvlhhiiiesghhnuhdrohhrghenucevlhhushhtvghrufhiiigvpedt
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37609
Cc: martin rudalics <rudalics@HIDDEN>, 37609 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> We probably could suppress such untimely growing by tricking the code
>> into believing that the tool bar has already been drawn at least once
>> even if it was not drawn at all.  But I'm not sure whether such a
>> change could break runs where showing the tool bar might be delayed
>> for some reason.  Getting the 'frame-inhibit-implied-resize' stuff
>> perform sufficiently well was quite tricky.  So is the behavior we see
>> here annoying enough to warrant such a change?
>
> As long as the behavior is consistent on all platforms, as much as
> practically possible, I'm okay with this behavior.  But I'm not sure
> what was the conclusion regarding Juri's GTK configuration where there
> was a different behavior regarding the tab bar.  Was that resolved?

Since there is no such problem on GTK builds that use external tool-bars,
maybe it's ok that this behavior is only on Lucid, Motif, Windows?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37609; Package emacs. Full text available.

Message received at 37609 <at> debbugs.gnu.org:


Received: (at 37609) by debbugs.gnu.org; 5 Oct 2019 19:05:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 05 15:05:31 2019
Received: from localhost ([127.0.0.1]:45248 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGpMx-0006Cu-8T
	for submit <at> debbugs.gnu.org; Sat, 05 Oct 2019 15:05:31 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53030)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iGpMv-0006Ch-Qm
 for 37609 <at> debbugs.gnu.org; Sat, 05 Oct 2019 15:05:30 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44994)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iGpMq-0005IZ-3S; Sat, 05 Oct 2019 15:05:24 -0400
Received: from [176.228.60.248] (port=3341 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iGpMn-00085G-83; Sat, 05 Oct 2019 15:05:23 -0400
Date: Sat, 05 Oct 2019 22:04:55 +0300
Message-Id: <83r23r2eug.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <cc1b01aa-a59b-4128-6b0b-61f817ceb90a@HIDDEN> (message from
 martin rudalics on Sat, 5 Oct 2019 20:11:06 +0200)
Subject: Re: bug#37609: Tool-bar-mode grows the frame's height
References: <87bluxihw0.fsf@HIDDEN>
 <c300a3ff-a7fd-e64a-5258-217d6734028c@HIDDEN>
 <cc1b01aa-a59b-4128-6b0b-61f817ceb90a@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37609
Cc: 37609 <at> debbugs.gnu.org, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: martin rudalics <rudalics@HIDDEN>
> Date: Sat, 5 Oct 2019 20:11:06 +0200
> 
> We probably could suppress such untimely growing by tricking the code
> into believing that the tool bar has already been drawn at least once
> even if it was not drawn at all.  But I'm not sure whether such a
> change could break runs where showing the tool bar might be delayed
> for some reason.  Getting the 'frame-inhibit-implied-resize' stuff
> perform sufficiently well was quite tricky.  So is the behavior we see
> here annoying enough to warrant such a change?

As long as the behavior is consistent on all platforms, as much as
practically possible, I'm okay with this behavior.  But I'm not sure
what was the conclusion regarding Juri's GTK configuration where there
was a different behavior regarding the tab bar.  Was that resolved?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37609; Package emacs. Full text available.

Message received at 37609 <at> debbugs.gnu.org:


Received: (at 37609) by debbugs.gnu.org; 5 Oct 2019 18:11:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 05 14:11:19 2019
Received: from localhost ([127.0.0.1]:45211 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGoWV-0004sj-JV
	for submit <at> debbugs.gnu.org; Sat, 05 Oct 2019 14:11:19 -0400
Received: from mout.gmx.net ([212.227.17.20]:35399)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1iGoWT-0004sW-V4
 for 37609 <at> debbugs.gnu.org; Sat, 05 Oct 2019 14:11:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1570299066;
 bh=c71LIYfxcYktGVy8+4gG+FOCufOTGAAeGqSgurAcFrE=;
 h=X-UI-Sender-Class:Subject:From:To:References:Date:In-Reply-To;
 b=RCEV0/Zu2R8yoqyF+r2mosgDl30Q6ZaIrGkk67ebCUdApe7oH9nnvPxW/0I5J6Bz9
 Jl8yUA5qC9iCghrVdAMcMeNBgrYHQzQbCSwO9MLYVAcMGvIniW/3/+Anv3vv7vU482
 8CSlmRWx1dM5rDzlNsnfRnPtAJF8XdLv1XmQXrXc=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([212.95.5.248]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1Mw9UK-1i06W61GZI-00s77T; Sat, 05
 Oct 2019 20:11:06 +0200
Subject: Re: bug#37609: Tool-bar-mode grows the frame's height
From: martin rudalics <rudalics@HIDDEN>
To: Juri Linkov <juri@HIDDEN>, 37609 <at> debbugs.gnu.org
References: <87bluxihw0.fsf@HIDDEN>
 <c300a3ff-a7fd-e64a-5258-217d6734028c@HIDDEN>
Message-ID: <cc1b01aa-a59b-4128-6b0b-61f817ceb90a@HIDDEN>
Date: Sat, 5 Oct 2019 20:11:06 +0200
MIME-Version: 1.0
In-Reply-To: <c300a3ff-a7fd-e64a-5258-217d6734028c@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:B1JX04CSIyOWlo8ai0FmYmEeT1wkP/mtuZr4+jx4V2uUVEUVUfS
 qz4kiF8Jas6PrpFKQr0ppjA+WxY3U7AKaHwxJXC2hAV6o4Vo/Tbm39deSssQ5/FhraqH76B
 jhxvCYya1K4e3p0yVbG91AkCrzDzJ9cYU8DLQpLQFidCZselJORypcwP/elGuStfTw1ghyL
 ebJlZBtccRNjxxTAjugjg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:5E1ML8TY+cg=:H9CPMmKlMRRk9iGO4boW21
 yhC2NfqKgXBPbwJ50hhXw3xa0NIh6vgcj7CQh0f/Sl6e8EBRkLKMKsbkxQnZVqhmQ9MmFL7XN
 /HH9/jqMNDegDZpZtpQwPGU/dfLxz1LBlAvvnm+WPiUT0V4F26nVW/Womy0q2PbUeC9s64A6j
 zLqxxKImhYE19SoHnmrNiqS0M7AOn40cDlCqGMc3ZX8wno17OWJqz2r/4SLbJ9uMWAPVOeCOy
 YKZuNpjRxiRNosTHzRIHLO1f+5ymCdyNh4mL070hzlDNtySrXJpntauYiLIfD6F8z90yvLHl4
 H3btfoB8R6IX+OrXUAKcb+SrUCWgnm0gKInPFa12XBKIMsVi8rdoYBS1q5dxFXSSb52gOXgR4
 2HY81gxsdinXhoEz2qZEgJCcKQIHiA7aeCdT1QmeOA6tZwSonktaVosovpgJJgn3B+gSlTjeS
 OLdJmWOA6tuPM1DwwST+8/3ieisTNjGZghd3te/TFblJGO7auXbsBL+anVdrXQyUPksBUjp49
 iy6Z6MklT9wxCTUein8bWUjb525S3kDcR7dJlo1Kv+fxAzu6tiGV3EROeqKKWWl3tynv+JMpf
 3u9xIyfatyHOld1yq1gvYJaEteLzkVOdzCzdIJEOg1pHKDNUAV9Aa4lRZs2PxaueKr1DjIb7M
 i5PH1Lv9yTWcYSrJlNbDlGUyUABPnPfxfq/lVxJXNfct4F963LomoKrWI0cnaWty6TuQbugMc
 1JzYbfbiTS7LL1qPMJ1VHSVTu/RlZihSlvcVfy6y8qJvikQt5UNkWDcJT9v644uO2pRURJj6f
 V3aGAUX7dEG049cvYT9H/hXh5lVyH+Jg0L8wrc1HkMv72kCTj9GQwfvJu5O6yotFMwXu2rFQo
 Q0tzv4GrIyT943Q878jv6Nt9kNogINSODKGqeXcSgUKCvNaUo/UjdgxRjWJAFlmoj0LmLnErQ
 vU1HL7GKRjNRQu8AVZQpRnlYm7uHsOg6B5qbf9uLK2MQlxPTNTWaLg+aR+gXr6nGQr9APnfcY
 n7Dz6ou+Buf7PLXOUriONmF+wfsnEkmjQIygS6j0mZ9odPbFHWdIIVc+UAmUBnq6HCuHtEVun
 kwX6VCdCjzuuRmmxN0jiharOZPLfoSNPRmCbOMJCfI+vMvP/5WPqUOKfxv22Ef4hSWjXqubt0
 BhyXUugR5v9Pp1tWbC5ULk0gIz9QxEoAdUUYlrdWG9F8H/yFXlcM8J7Ci/aDY0zteiCZzTRiO
 x608I7BazqgHhUmMSv06EcYwtdn/cmQol9ol/DVeF7qccYmzYl8W2kQNkTt4=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37609
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 >  > OTOH, in a new session again with emacs -Q -f tool-bar-mode
 > [...]
 >  >    (tool-bar-mode 1)
 >
 > This changes the outer frame size (also on Windows) which it shouldn't do.
 > I'll look into it.

As a matter of fact, the behavior you see _is_ the intended one.  On
platforms where Emacs draws the tool bar into the frame (Lucid, Motif,
Windows) it has to (1) first trigger redisplay into drawing the tool
bar at least once so to get its real height and then (2) resize the
frame accordingly so it gets the requested initial number of lines.

This means that with

 > emacs -Q -f tool-bar-mode
 >
 > that disables tool-bar-mode before it's displayed for the first time,

no tool bar gets drawn,

 > and evaluating
 >
 > (let ((initial (assq 'outer-size (frame-geometry))))
 >    (tool-bar-mode 1)

this triggers the resizing of the frame to give it the desired number
of initial lines when a tool bar is present, and

 >    (tool-bar-mode 0)
 >    (list (assq 'outer-size (frame-geometry)) initial))

does _not_ size the frame back because that's the way toggling the
tool bar behaves ever since on the platforms cited above.  The same
holds for the behavior you described as

 > => ((outer-size 680 . 693) (outer-size 680 . 676))
 >
 > indicates growing of the frame's height.
 >
 > Evaluating the same again produces the correct result:
 >
 > => ((outer-size 680 . 693) (outer-size 680 . 693))
 >
 > OTOH, in a new session again with emacs -Q -f tool-bar-mode
 >
 > (progn
 >    (tool-bar-mode 1)
 >    (assq 'outer-size (frame-geometry)))
 >
 > => (outer-size 680 . 693)
 >
 > (progn
 >    (tool-bar-mode 0)
 >    (assq 'outer-size (frame-geometry)))
 >
 > => (outer-size 680 . 693)
 >
 > It's strange that the results are the same because visually
 > the frame's height grows.

The frame grows in both cases to 693 pixels when the tool bar is drawn
for the first time and never resizes afterwards (even when the tool
bar wraps).

We probably could suppress such untimely growing by tricking the code
into believing that the tool bar has already been drawn at least once
even if it was not drawn at all.  But I'm not sure whether such a
change could break runs where showing the tool bar might be delayed
for some reason.  Getting the 'frame-inhibit-implied-resize' stuff
perform sufficiently well was quite tricky.  So is the behavior we see
here annoying enough to warrant such a change?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37609; Package emacs. Full text available.

Message received at 37609 <at> debbugs.gnu.org:


Received: (at 37609) by debbugs.gnu.org; 5 Oct 2019 08:42:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 05 04:42:10 2019
Received: from localhost ([127.0.0.1]:43720 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGfdi-00057O-1c
	for submit <at> debbugs.gnu.org; Sat, 05 Oct 2019 04:42:10 -0400
Received: from mout.gmx.net ([212.227.15.15]:36477)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1iGfdg-00057A-KZ
 for 37609 <at> debbugs.gnu.org; Sat, 05 Oct 2019 04:42:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1570264920;
 bh=EGaqZ2lf7PZ/7CM12VzHAfxL1i4ynzqXnBKq+4iDIIU=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=A0ZMRfAVxxcBOWWMZpeFv4Cm7EdVRVyVXsEPGy0AxXUepbqylfbPanJB4enIRnfo7
 RIHfKsiYU/g9thgQyys0iXC40rfd/YaNBxoXQ2Uh4dwosCqyN/HWDjO7+fq64XEbNU
 3MVg4IHmRTkBDwy7CT8ooP0wN9Xjgx/FJrtZbNmI=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.156]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MdNY2-1hhbvz3nea-00ZR0w; Sat, 05
 Oct 2019 10:42:00 +0200
Subject: Re: bug#37609: Tool-bar-mode grows the frame's height
To: Juri Linkov <juri@HIDDEN>, 37609 <at> debbugs.gnu.org
References: <87bluxihw0.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <c300a3ff-a7fd-e64a-5258-217d6734028c@HIDDEN>
Date: Sat, 5 Oct 2019 10:41:59 +0200
MIME-Version: 1.0
In-Reply-To: <87bluxihw0.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:w1XEtjhXrch2xBsM2hWaS0Ui81sMNqv/hQRr9/QAU6SfAxh2ju8
 vTOAR/s2Z3eoOgRjTqAzZ4YAHhqJNvnb3gZvEnQYkz60uwM5TtMGQoUPAGShcV/p3zE9Ohh
 /Z1DxxZH8auwp9q6lwF/cIJf7qbo32pDBtWWYEg9wu/S0hXSv+Hp1fTx3fKxdaI9bjqob8u
 rLLosg/UPxIRVqjvqJc5w==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:kRhJAYrxew4=:UsQ3/CM96l/mSXJq70INzj
 +D8GKyeO7aZjCT51p5pUKAwEJnb4n19prfINBEM436hkiWWUNy8D5J+ocVQBBzucxFvlMaSBN
 UGY+9ayFdSRYlJ3cHWQf5Z5OfT67xEWz2RSj134dbvHWHSIaP1P1gLVRHVzo1s/5XMSgqisdS
 Bb1WrBs8p/o9ahogR5qXD0Hl11o80Y7/A0whBXZmkpRkoADR/2ekqcj989QId7hYr+lstzvgo
 D1kFP+BSR+wECn6O5JU7xsckBbeJp/uBCsYhTKWRqDPSL/S5jBq3a7hoGizkIRL5qx9yvB+7b
 WGUAkAsUJUW64wS2T9BdfSQSUe3DfxVe0n+orewvXM38Bo8O4OLm76kuLuNNELs1YCognEwEc
 snCzs7NMW2vcajMCC+YrCjRrlF1imp+X1vr/rubBUt6ojP3iVhKoa5YHUK6cgOofcO2J56/RQ
 OdmT1rE9p5Qqn9/kWvrmhIrEivn2nLPmMMVqnEl1xKKisZ/C/TadIN/2ecPockS5uiOUPm2xk
 z5PYExq296Bqr83IcPr4c3W1oZgvfk5KrH0BYol3vHmpN5ZzaJoGd41uN4GwPEQnjwnI8qXd7
 bTF7NzALfdIyRU1y4TgIFgDnHDULnHhnJ/WCiq7ooJy10fyg2pEoYOljacngZ4EjPhQtm4b8P
 4SBLGk5BBEV5R0dzOywCmqfP7msgCmX9E5a0A4y15B2RMdbQLHjOsGYelgAedZ2nyij0mciO1
 zqRpiaCfZ2sU0dan0tWa1Tasy7Yptr2owJyKZcfKY6DaprWstqOKjp73dY2CYykVW4tfqHhzM
 MvbhTZGWYy+FPwVQGMcF5+3b++1t/0g7lcjgaeF2a592Jvov45lZ8o/NSFGhfMlqdwWZGQnnj
 lAmwqHOGJ9Tu69815/r2yHyfaIoeZ/1l7cCYCFY/otK2BhqkhmbtozKQjkpRZ+3RvvPFXQX2D
 rUC3Y+bClbcBA3XH7QDZnoZ74y7NBUZtqRyO82Dr12u63hKI/uPbvGi92TIswx9ZB141E4jw5
 9sjiGP53pThtvKvlFhIW7IeTPYn53pta+4DMpHULg7XGnK8kWCIeS7KOpRfROidfmnZUbaxad
 z4KmqDMR5h9fFLl1zt0pzTXljcb6sLvRAq7YZPAc34Kzw7zVDBomSye+g8jET8kzAfIYHtV6d
 IMUVJCwbw5ScCl0dgT6oKXPDHtZPXoJy0mDbRy6+p7Tx9/d2FgTs5xzFVv+0bZJ+4mNdgHLOl
 w48Qn5ZLI73hPnLC8eoUx8p4y8NzfmgHwwlK9MRnHW7B60t56TeFLH/Edu/s=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37609
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 > OTOH, in a new session again with emacs -Q -f tool-bar-mode
[...]
 >    (tool-bar-mode 1)

This changes the outer frame size (also on Windows) which it shouldn't do.
I'll look into it.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37609; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Oct 2019 22:34:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 03 18:34:03 2019
Received: from localhost ([127.0.0.1]:41415 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iG9ff-0003KK-ET
	for submit <at> debbugs.gnu.org; Thu, 03 Oct 2019 18:34:03 -0400
Received: from lists.gnu.org ([209.51.188.17]:33451)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1iG9fe-0003KD-2J
 for submit <at> debbugs.gnu.org; Thu, 03 Oct 2019 18:34:02 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:54806)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <juri@HIDDEN>) id 1iG9fZ-0002pz-R9
 for bug-gnu-emacs@HIDDEN; Thu, 03 Oct 2019 18:33:59 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <juri@HIDDEN>) id 1iG9fY-0000aR-9k
 for bug-gnu-emacs@HIDDEN; Thu, 03 Oct 2019 18:33:57 -0400
Received: from butterfly.birch.relay.mailchannels.net ([23.83.209.27]:24576)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <juri@HIDDEN>) id 1iG9fW-0000Wh-0w
 for bug-gnu-emacs@HIDDEN; Thu, 03 Oct 2019 18:33:56 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 474365E12BF
 for <bug-gnu-emacs@HIDDEN>; Thu,  3 Oct 2019 22:33:49 +0000 (UTC)
Received: from pdx1-sub0-mail-a97.g.dreamhost.com
 (100-96-8-33.trex.outbound.svc.cluster.local [100.96.8.33])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id DC5E65E127E
 for <bug-gnu-emacs@HIDDEN>; Thu,  3 Oct 2019 22:33:48 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a97.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.17.5); Thu, 03 Oct 2019 22:33:49 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Sponge-Well-Made: 7fc9a5365e8a03e6_1570142029099_146012165
X-MC-Loop-Signature: 1570142029099:1459652561
X-MC-Ingress-Time: 1570142029098
Received: from pdx1-sub0-mail-a97.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a97.g.dreamhost.com (Postfix) with ESMTP id 6739A7F63C
 for <bug-gnu-emacs@HIDDEN>; Thu,  3 Oct 2019 15:33:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to
 :subject:date:message-id:mime-version:content-type; s=
 linkov.net; bh=sj6wygEnW7PuofJ7+hK7ayPlg1g=; b=DzQ2FLPhl/vr/vh4o
 HvGphXyLmP7tAFPnTLuwqaMO5DSbNZLl9PpLg/9gMAknrc+Et1ZIqdZrLELRgFqH
 UyzjlxRPzmY/bfGnsjnF5TXYp+s0o8ohr9OstcqljICsWoYzo2h3V8tRT7e3u2vq
 Ql1dIaD7iVbvsQj62MAF8zT73c=
Received: from mail.jurta.org (m91-129-99-99.cust.tele2.ee [91.129.99.99])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a97.g.dreamhost.com (Postfix) with ESMTPSA id 33DE57F625
 for <bug-gnu-emacs@HIDDEN>; Thu,  3 Oct 2019 15:33:46 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a97
From: Juri Linkov <juri@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Tool-bar-mode grows the frame's height
Organization: LINKOV.NET
Date: Fri, 04 Oct 2019 01:20:59 +0300
Message-ID: <87bluxihw0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: 0
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedufedrgeelgdduvdcutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecunecujfgurhephffvufhofffkfgggtgesthdtredttdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrdelledrleelnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehmrghilhdrjhhurhhtrgdrohhrghdpihhnvghtpeeluddruddvledrleelrdelledprhgvthhurhhnqdhprghthheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqedpmhgrihhlfhhrohhmpehjuhhriheslhhinhhkohhvrdhnvghtpdhnrhgtphhtthhopegsuhhgqdhgnhhuqdgvmhgrtghssehgnhhurdhorhhgnecuvehluhhsthgvrhfuihiivgeptd
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 23.83.209.27
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

This is a followup to emacs-devel thread with 100% reproducible test case.

On master with any earlier revision before the tabs branch was merged,
and compiled for a Motif or Lucid toolkit, i.e. any build without external
tool-bar, i.e. not GTK builds, (also note that some confusion on emacs-devel
with inconsistent results was caused by not using the required `make clean'
in the lwlib directory after switching toolkits) running

emacs -Q -f tool-bar-mode

that disables tool-bar-mode before it's displayed for the first time,
and evaluating

(let ((initial (assq 'outer-size (frame-geometry))))
  (tool-bar-mode 1)
  (tool-bar-mode 0)
  (list (assq 'outer-size (frame-geometry)) initial))

=> ((outer-size 680 . 693) (outer-size 680 . 676))

indicates growing of the frame's height.

Evaluating the same again produces the correct result:

=> ((outer-size 680 . 693) (outer-size 680 . 693))

OTOH, in a new session again with emacs -Q -f tool-bar-mode

(progn
  (tool-bar-mode 1)
  (assq 'outer-size (frame-geometry)))

=> (outer-size 680 . 693)

(progn
  (tool-bar-mode 0)
  (assq 'outer-size (frame-geometry)))

=> (outer-size 680 . 693)

It's strange that the results are the same because visually
the frame's height grows.  Maybe this is specific to the window manager?
My window manager is MATE.

In GNU Emacs 27.0.50 (build 2, x86_64-pc-linux-gnu, Motif Version 2.3.8)
 of 2019-10-04 built on localhost
Repository revision: d8e741548cd5221d51536a0cbeabde2e4d925054
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.11906000
System Description: Linux Mint 19

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Tool-Bar mode disabled

Configured using:
 'configure --with-x-toolkit=motif --enable-checking=yes,glyphs
 --enable-check-lisp-object-type 'CFLAGS=-O0 -g3 -gdwarf-4''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND DBUS GSETTINGS GLIB NOTIFY INOTIFY
GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS MOTIF X11 XDBE XIM THREADS PDUMPER LCMS2 GMP

Important settings:
  value of $LC_MONETARY: et_EE.UTF-8
  value of $LC_NUMERIC: fi_FI.UTF-8
  value of $LC_TIME: en_DK.utf8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix




Acknowledgement sent to Juri Linkov <juri@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37609; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.